Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xml.sax
Class SAXParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--org.xml.sax.SAXParseException

public class SAXParseException
extends SAXException

Encapsulate an XML parse error or warning.

> This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY.

This exception will include information for locating the error in the original XML document. Note that although the application will receive a SAXParseException, the application is not actually required to throw the exception; instead, it can simply read the information in it and take a different action.

Since this exception is a subclass of `SAXException`, it inherits the ability to wrap another exception.

Since:
  SAX 1.0
See Also:
  `SAXException`, `Locator`

Constructor Summary
`SAXParseException(java.lang.String message, Locator locator)` Create a new SAXParseException from a message and a Locator.

Method Summary
`int` | `getColumnNumber()` The column number of the end of the text where the exception occurred.
`int` | `getLineNumber()` The line number of the end of the text where the exception occurred.
`java.lang.String` | `getPublicId()` Get the public identifier of the entity where the exception occurred.
`java.lang.String` | `getSystemId()` Get the system identifier of the entity where the exception occurred.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAXParseException

    public SAXParseException(java.lang.String message,
                             Locator locator)

  Create a new SAXParseException from a message and a Locator.

Parameters:
  `message` - The error or warning message.
  `locator` - The locator object for the error or warning (may be null).
See Also:
  `Locator`

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Get the public identifier of the entity where the exception occurred.

  Returns:
    A string containing the public identifier, or null if none is available.
  See Also:
    `Locator.getPublicId()`

### getSystemId

    public java.lang.String getSystemId()

  Get the system identifier of the entity where the exception occurred.

  If the system identifier is a URL, it will be resolved fully.

  Returns:
    A string containing the system identifier, or null if none is available.
  See Also:
    `Locator.getSystemId()`

### getLineNumber

    public int getLineNumber()

  The line number of the end of the text where the exception occurred.

  Returns:
    An integer representing the line number, or -1 if none is available.
  See Also:
    `Locator.getLineNumber()`

### getColumnNumber

    public int getColumnNumber()

  The column number of the end of the text where the exception occurred.

  The first column in a line is position 1.

  Returns:
    An integer representing the column number, or -1 if none is available.
  See Also:
    `Locator.getColumnNumber()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 1.0 of J2ME Web Services Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved. Use is subject to license terms.